Subject: Re: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Gerd Möllmann <[email-masked]>
Date: Sat, 09 Aug 2025 11:18:08 +0200

Óscar Fuentes <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Pip Cet <[email-masked]> writes:
>>
>>> insertions.
>>>
>>>> So far I can't see what is the cause. I would have guessed something in
>>>> or around primitive-undo, but that hasn't changed forever.
>>>>
>>>> Adding Stef.
>>>
>>> Well, compact_undo_list is a nop with HAVE_MPS:
>>
>> Sorry, I forgot to mention an important detail: this happens in master
>> but not emacs-30. Oscar's report is also for master, IIRC.
>>
>> Really puzzling.
>
> However, it seems that on igc it is more easily reproducible.
>
> For a moment I thought that I messed up my bug report, because a couple
> of attempts at reproducing the problem on master failed, but then I made
> a few more undos/redos and the sequences of duplicated elements
> appeared.
>
> Something triggers this and then explodes.

Okay, thanks. At least I don't have to check if I made a cockpit error
:-). But I guess I have to check emacs-30 again, if this is kind of
"random".